Files Place displays mimetype icons for file items when thumbnails are available

Bug #599896 reported by Sebastien Bacher on 2010-06-29
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Unity
Fix Released
Wishlist
Neil J. Patel
unity-2d
Undecided
Unassigned
unity-lens-files
Undecided
Unassigned
unity (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: unity-place-files

Using unity 0.2.12 on maverick the files place display mimetype icons for images, wouldn't it be nicer to display thumbnails?

Changed in unity-place-files (Ubuntu):
importance: Undecided → Wishlist

I just pushed thumbnail detection to unity-place-files' trunk, but for some reason the thumbs are not shown in Unity

Changed in unity-place-files:
status: New → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity - 0.2.14-0ubuntu1

---------------
unity (0.2.14-0ubuntu1) maverick; urgency=low

  * New upstream release.
    - fix wrong window geometry (LP: #578545)
    - fix quicklist items were unresponsive when the mouse was overing over them
      (LP: #598561)
    - fix can't drag and drop item to last position in launcher (LP: #595819)
    - removes/unfavorites apps on drag out, (LP: #592744)
    - fix contracted/expanded feature doesn't take mouse position into account
      (LP: #595878)
    - fix really slow to display place icons (LP: #599901)
    - display files thumbnails (LP: #599896)
  * debian/control:
    - recommend ubuntu-netbook-default-settings as the session file is there
      and a lot of people could install unity without the session file
    - build-dep on last clutk
 -- Didier Roche <email address hidden> Thu, 01 Jul 2010 19:08:22 +0200

Changed in unity (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity-place-files - 0.5.4-0ubuntu2

---------------
unity-place-files (0.5.4-0ubuntu2) maverick; urgency=low

  * New upstream release.
    - fix buggy search filter in files and applications views (LP: #599893)
    - display files thumbnails (LP: #599896)
    - Take search string into account when section changes (LP: #598082)
  * delete debian/patches/01_add_dbus_file.patch:
    upstreamed
  * debian/control:
    - build-dep on libunity-dev (>= 0.2.13)
 -- Didier Roche <email address hidden> Thu, 01 Jul 2010 19:09:30 +0200

Changed in unity-place-files (Ubuntu):
status: New → Fix Released
Mirco Müller (macslow) on 2010-07-02
Changed in unity:
importance: Undecided → Wishlist
Neil J. Patel (njpatel) on 2010-07-02
Changed in unity-place-files:
status: Fix Committed → Fix Released
Changed in unity:
status: New → Fix Released
assignee: nobody → Neil J. Patel (njpatel)

Currently, the Files Place is still displaying mimetype icons when thumbnails are available.

Changed in unity:
status: Fix Released → Confirmed
Changed in unity-place-files:
status: Fix Released → Confirmed
Changed in unity (Ubuntu):
status: Fix Released → Confirmed
Changed in unity-place-files (Ubuntu):
status: Fix Released → Confirmed
summary: - would be nice to display files thumbnails
+ Files Place displays mimetype icons for file items when thumbnails are
+ available

Can someone still reproduce this? If so please report:

 0) Ubuntu version (M or L)
 1) Unity version
 2) unity-place-files version
 3) The mimetype of the affected files
 4) Do you get thumbs on other files?

Neil J. Patel (njpatel) on 2010-08-20
Changed in unity:
milestone: none → 2010-08-19
status: Confirmed → Fix Released
Changed in unity-place-files:
status: Confirmed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity - 0.2.30-0ubuntu1

---------------
unity (0.2.30-0ubuntu1) maverick; urgency=low

  * New upstream release fixing those issues:
    - clicking on an app window in workspace switcher does not get it to focus
      (lp: #612327)
    - App name stays in panel after exit (lp: #613087)
    - Bright line at the bottom of the launcher bar (lp: #613084)
    - additional round corner when clicking on application places item
      (lp: #612542)
    - removing active application in the launcher make unity crashes
      (lp: #612535)
    - Intermittent loss of all input (lp: #607519)
    - Wallpaper picture-options are not all taken into account (lp: #605788)
    - Add some sort of hint that the Ubuntu circle is click-able (lp: #592787)
    - doesn't render appmenu accelerators correctly (lp: #601011)
    - should highlight the selected items (lp: #600946)
    - Files Place displays mimetype icons for file items when
      thumbnails are available (lp: #599896)
  * debian/control: build-depends on libxcb-icccm1-dev and libutouch-grail-dev
 -- Sebastien Bacher <email address hidden> Thu, 26 Aug 2010 18:31:40 +0200

Changed in unity (Ubuntu):
status: Confirmed → Fix Released
Didier Roche (didrocks) on 2011-05-31
Changed in unity-2d:
status: New → Fix Released
Omer Akram (om26er) on 2012-08-19
no longer affects: unity-place-files (Ubuntu)
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers